## emir 0.1.0

=== debian/changelog ===
emir (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 24 Feb 2004 16:05:42 +0100
