## emir 0.3.1

=== doc/Makefile ===

all: html pdf ps txt

clean:
	rm -f *.html *.aux *.dvi *.out *.log *.fo *.pdf *.ps *.txt *.tmp

check: check.tmp
check.tmp: emirdoc.xml
	(xmllint --xinclude --postvalid --noblanks --noout emirdoc.xml 2>&1) >emirdoc_error.log
	touch check.tmp

#emirdoc.html: emirdoc.xml
#	bash -c "time openjade -t xml -d /usr/share/sgml/docbook/stylesheet/dsssl/modular/html/docbook.dsl \
#	 -i html -vge -f emirdoc_error.log \
#	 emirdoc.xml"

html: emirdoc.html
emirdoc.html: check
	xsltproc --xinclude --param use.extensions '1' --param passivetex.extensions '1' -o emirdoc.html emirdoc-xhtml.xml

fo: emirdoc.fo
emirdoc.fo: check.tmp
	xsltproc --xinclude --param use.extensions '1' --param passivetex.extensions '1' -o emirdoc.fo /usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl emirdoc.xml
	# correct sizing bug
	sed -i 's/ - -4pc//g' emirdoc.fo
	# correct long line bug
	sed -e "s,/>,\n/>,g" -i emirdoc.fo

dvi: emirdoc.dvi
emirdoc.dvi: emirdoc.fo
	# 3 passes to avoid undefined references
	-xmltex emirdoc.fo </dev/null
	-xmltex emirdoc.fo </dev/null
	-xmltex emirdoc.fo </dev/null

#emirdoc.pdf: check.tmp
#	bash -c "time docbook2pdf emirdoc.xml"

#emirdoc.pdf: emirdoc.fo
#	pdfxmltex emirdoc.fo

pdf: emirdoc.pdf
emirdoc.pdf: emirdoc.dvi
	dvipdf emirdoc.dvi

ps: emirdoc.ps
emirdoc.ps: emirdoc.dvi
	dvips emirdoc.dvi

txt: emirdoc.txt
emirdoc.txt: emirdoc.ps
	pstotext -output emirdoc.txt -cork emirdoc.ps
