## emir 0.2.0

=== debian/changelog ===
emir (0.2.0) unstable; urgency=low

  * Added services access filtering.
  * Added clients filtering.
  * Added custom forward filtering.
  * Added basic IPv6 support (host & user members).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 24 Mar 2004 23:40:18 +0100
