=== debian/control ===
Source: emir
Section: admin
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends-Indep: debhelper (>= 4.0.0), xsltproc, docbook-xsl
Standards-Version: 3.6.1.0

Package: emir
Architecture: all
Depends: php4-cgi (>= 4.1.2), iptables, libxml2-utils
Description: Easy Management for Internet Routers
 EMIR is designed to configure your internet connection,
 including NAT, acces control, services and security.
